Upgrade Kubernetes version
import requests
url = "https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}/upgrade-k8s-version"
payload = { "target_version": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({target_version: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}/upgrade-k8s-version', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}/upgrade-k8s-version \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_version": "<string>"
}
'{
"new_version": "<string>",
"nodes_affected": 123,
"previous_version": "<string>",
"operation_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}UpCloud Clusters
Upgrade Kubernetes version
POST
/
api
/
v1
/
clusters
/
upcloud
/
{cluster_id}
/
upgrade-k8s-version
Upgrade Kubernetes version
import requests
url = "https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}/upgrade-k8s-version"
payload = { "target_version": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({target_version: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}/upgrade-k8s-version', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}/upgrade-k8s-version \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_version": "<string>"
}
'{
"new_version": "<string>",
"nodes_affected": 123,
"previous_version": "<string>",
"operation_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.